### Method

# Gio AppLaunchContext setenv

since: 2.32

#### Declaration

    void
    g_app_launch_context_setenv (
      GAppLaunchContext* context,
      const char* variable,
      const char* value
    )

#### Description

Arranges for `variable` to be set to `value` in the child’s environment when `context` is used to launch an application.

Available since: 2.32

#### Parameters

`variable`

  Type: `const char*`

  The environment variable to set.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`value`

  Type: `const char*`

  The value for to set the variable to.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.